/*
 * Copyright (C) 2003 Ranjan Ghosh <ghosh@linux>
 */

#include "regimp.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char *description =
    I18N_NOOP("A KDE KPart Application");

static const char *version = "0.1";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    { 0, 0, 0 }
};


int main(int argc, char **argv)
{
    KAboutData about("regimp", I18N_NOOP("regimp"), version, description,
                     KAboutData::License_GPL, "(C) 2003 Ranjan Ghosh", 0, 0, "ghosh@linux");
    about.addAuthor( "Ranjan Ghosh", 0, "ghosh@linux" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    regimp *mainWin = 0;

    if (app.isRestored())
    {
        //RESTORE(regimp());
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        // TODO: do something with the command line args here

        mainWin = new regimp(args);
        app.setMainWidget( mainWin );
        mainWin->show();

        args->clear();
    }

    int ret = app.exec();

	return 0;
    delete mainWin;
    return ret;
}
